Kirjoittaja Aihe: Päivitysten hallinta / pakettien pois sulkeminen  (Luettu 1619 kertaa)

BlackSnow

  • Käyttäjä
  • Viestejä: 6
    • Profiili
Asensin Ubuntu 8.10:n Eee PC 901:een ja sille optimoidun eeepc-kernelin array.org:ista. Päivitysten hallinta jatkaa kuitenkin herjaamista vakiokerneleistä. Miten vakiokernelipaketit saadaan suljettua pois päivitysten hallinnasta? Tää komento ei auttanut.

sudo apt-get remove linux-generic linux-image-generic linux-restricted-modules-generic

papukaija

  • Käyttäjä
  • Viestejä: 100
    • Profiili
Vs: Päivitysten hallinta / pakettien pois sulkeminen
« Vastaus #1 : 26.12.08 - klo:20.11 »
Oletko varma, että seurasit ohjeita huolella alusta loppuun?

BlackSnow

  • Käyttäjä
  • Viestejä: 6
    • Profiili
Vs: Päivitysten hallinta / pakettien pois sulkeminen
« Vastaus #2 : 26.12.08 - klo:21.46 »
Oletko varma, että seurasit ohjeita huolella alusta loppuun?

Ei mennyt ihan ohjeen mukaan. Asensin ensin kernelipaketin ohjeen mukaan. Sen jälkeen headeri-paketin asennus ei onnistunut, vaan kone herjasi jotain yhteensopivuudesta. Eli tilanne on nyt se, ettei headeri-pakettia ole asennettu.

edit:
Tässä Synapticin info-tietoja kernel-paketista: You likely do not want to install this package directly. Instead, install
the linux-eeepc meta-package, which will ensure that upgrades work
correctly, and that supporting packages are also installed.

Eli asensin vääriä paketteja. Onnistuukohan korjaaminen asentamalla vaan tuo meta-paketti?

edit2:
Eipä ollutkaan array.org:issa meta-pakettia intrepidille...

edit3:
Niin sellainen tarkennus vielä, että kyse oli näistä ohjeista:
http://wiki.ubuntu-fi.org/Asus_EEE_901_konfigurointi_(Intrepid_Ibex)

Eikä siis array.org:n ohjeista, joiden mukaan asennus menee yksinkertaisemmin komennolla:
 sudo apt-get install linux-eeepc

Saisiko onkelman korjattua antamalla ko. komennon? Onko siinä riski, että systeemi menee totaalisesti sekaisin?
« Viimeksi muokattu: 27.12.08 - klo:00.35 kirjoittanut BlackSnow »

BlackSnow

  • Käyttäjä
  • Viestejä: 6
    • Profiili
Vs: Päivitysten hallinta / pakettien pois sulkeminen
« Vastaus #3 : 27.12.08 - klo:07.27 »
Oletko varma, että seurasit ohjeita huolella alusta loppuun?

Ei mennyt ihan ohjeen mukaan. Asensin ensin kernelipaketin ohjeen mukaan. Sen jälkeen headeri-paketin asennus ei onnistunut, vaan kone herjasi jotain yhteensopivuudesta. Eli tilanne on nyt se, ettei headeri-pakettia ole asennettu.

edit:
Tässä Synapticin info-tietoja kernel-paketista: You likely do not want to install this package directly. Instead, install
the linux-eeepc meta-package, which will ensure that upgrades work
correctly, and that supporting packages are also installed.

Eli asensin vääriä paketteja. Onnistuukohan korjaaminen asentamalla vaan tuo meta-paketti?

edit2:
Eipä ollutkaan array.org:issa meta-pakettia intrepidille...

edit3:
Niin sellainen tarkennus vielä, että kyse oli näistä ohjeista:
http://wiki.ubuntu-fi.org/Asus_EEE_901_konfigurointi_(Intrepid_Ibex)

Eikä siis array.org:n ohjeista, joiden mukaan asennus menee yksinkertaisemmin komennolla:
 sudo apt-get install linux-eeepc

Saisiko onkelman korjattua antamalla ko. komennon? Onko siinä riski, että systeemi menee totaalisesti sekaisin?

Tää ongelma ratkesi niin yksinkertaisesti, että asensi synapticilla vakiokernelin pois ja eeepc-kernelin headeri-paketin.

Jotta tämmöstä yksin puhelua tämä  ::)